=== debian/control ===
Source: ros-galactic-pendulum-control
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-pytest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-launch <!nocheck>, ros-galactic-launch-testing <!nocheck>, ros-galactic-launch-testing-ament-cmake <!nocheck>, ros-galactic-launch-testing-ros <!nocheck>, ros-galactic-pendulum-msgs, ros-galactic-rclcpp, ros-galactic-rmw-implementation-cmake <!nocheck>, ros-galactic-ros2run <!nocheck>, ros-galactic-rttest, ros-galactic-tlsf-cpp, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-pendulum-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-pendulum-msgs, ros-galactic-rclcpp, ros-galactic-rttest, ros-galactic-tlsf-cpp, ros-galactic-ros-workspace
Description: Demonstrates ROS 2's realtime capabilities with a simulated inverted pendulum.
